##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################
"""
Test for discovery of the user's original name for the
ProcessBase subclasses.
"""
import unittest
import warnings
try:
    from warnings import catchwarnings as catch_warnings
except ImportError:
    from warnings import catch_warnings
try:
    from idaes_model_contrib.mea_simple import flowsheet
except ImportError:
    flowsheet = None

__author__ = "Dan Gunter <dkgunter@lbl.gov>"


class TestClassAttrs(unittest.TestCase):

    def test_mea_sheet(self):
        if flowsheet is None:
            return
        with catch_warnings():  # silence warnings 
            warnings.simplefilter("ignore")
            m = flowsheet.MeaSheet()
        name = m.base_class_name()
        self.assertEqual(name, 'MeaSheet')
        mod = m.base_class_module()
        self.assertEqual(mod, 'idaes_model_contrib.mea_simple.flowsheet.flowsheet')

if __name__ == '__main__':
    unittest.main()
