"""
IDAES Data Management Framework (DMF)

The DMF lets you save, search, and retrieve provenance related
to your models.

This package is documented with Sphinx. To build the documentation,
change to the 'docs' directory and run, e.g., 'make html'.

.. automodule:: idaes.dmf.resource

"""
# To avoid ridiculous import lines like:
# from idaes.dmf.dmf import DMF
# and instead only semi-ridiculous ones like:
# from idaes.dmf import DMF

from .dmf import DMF  # noqa: F401

# Version info.
# Uses `setuptools_scm <https://pypi.python.org/pypi/setuptools_scm>`_
from pkg_resources import get_distribution, DistributionNotFound
try:
    __version__ = get_distribution(__name__).version
except DistributionNotFound:
    # package is not installed
    __version__ = '0.0.0'

